package com.yizhi.research.application.vo.api;

import com.yizhi.core.application.context.RequestContext;
import com.yizhi.research.application.vo.domain.TrResearchQuestionOptionVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data

public class QuestionJumpVo {

    @ApiModelProperty(value = "当前问题id")
    private Long questionId;

    @ApiModelProperty(value = "问题选项")
    private List<TrResearchQuestionOptionVo> options;

    @ApiModelProperty(value = "根据指定跳题策略时的题号")
    private Integer jumpNo;

    @ApiModelProperty(value = "跳题策略类型 1表示根据选项跳题，2表示指定跳题")
    private Integer type;

    private RequestContext context;

}
